package com.sy.coinage.app.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class BindReq {

    @ApiModelProperty(value = "id", required = true)
    @NotNull(message = "id不能为空")
    private Integer id;

    @ApiModelProperty(value = "checkId", required = true)
    @NotNull(message = "checkId不能为空")
    private Integer checkId;

    @ApiModelProperty(value = "EPC码", required = true)
    @NotBlank(message = "rfid不能为空")
    private String rfid;

    @ApiModelProperty(value = "编号", required = true)
    @NotBlank(message = "编号不能为空")
    private String serialNumber;

    @ApiModelProperty(value = "仓库Id", required = true)
    @NotNull(message = "仓库Id不能为空")
    private Integer wareId;

    @ApiModelProperty(value = "库位Id", required = true)
    @NotNull(message = "库位Id不能为空")
    private Integer areaId;

}
