package com.sy.coinage.app.req.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
public class CheckDetailVO {

    @ApiModelProperty(value = "EPC码", required = true)
    @NotBlank(message = "rfid不能为空")
    private String rfid;

    @ApiModelProperty(value = "编号", required = true)
    @NotBlank(message = "编号不能为空")
    private String serialNumber;

    @ApiModelProperty(value = "冠字号码集合", required = true)
    @NotEmpty(message = "冠字号码字符串不能为空")
    private List<String> crownArray;
}
