package com.sy.coinage.log.req;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统操作记录查询请求bean
 */
@Getter
@Setter
public class OperateLogListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 操作人姓名
     */
    @ApiModelProperty(value = "操作人姓名")
    private String realName;
    /**
     * 操作内容
     */
    @ApiModelProperty(value = "操作内容")
    private String name;
    /**
     * 请求ip
     */
    @ApiModelProperty(value = "请求ip")
    private String ip;
    /**
     * 请求地址
     */
    @ApiModelProperty(value = "请求地址")
    private String url;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Integer tenantId;

}
