package com.sy.coinage.sys.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 角色菜单实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("sys_role_menu")
// @ApiModel(value = "角色菜单对象", description = "角色菜单")
public class RoleMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键 -10
     */
    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 角色id -10
     */
    @ApiModelProperty(value = "角色id")
    @TableField(value = "role_id")
    private Integer roleId;

    /**
     * 菜单id -10
     */
    @ApiModelProperty(value = "菜单id")
    @TableField(value = "menu_id")
    private Integer menuId;

    /**
     * 按钮操作权限 -200
     */
    @ApiModelProperty(value = "按钮操作权限")
    @TableField(value = "permission")
    private String permission;

}
