package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * 用户查询请求bean
 */
@Getter
@Setter
public class UserListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 状态 1可用 2禁用 -3
     */
    @ApiModelProperty(value = "状态 1可用 2禁用 -3")
    private Integer status;
    /**
     * 机构id -10
     */
    @ApiModelProperty(value = "机构id")
    private Integer orgId;
    /**
     * 部门id -10
     */
    @ApiModelProperty(value = "部门id")
    private Integer deptId;
    /**
     * 真实姓名 -10
     */
    @ApiModelProperty(value = "真实姓名")
    private String realName;
    /**
     * 手机号 -12
     */
    @ApiModelProperty(value = "手机号")
    private String mobile;
    /**
     * 用户名 -16
     */
    @ApiModelProperty(value = "用户名")
    private String username;

}

