package com.sy.coinage.sys.req.vo;

import io.swagger.annotations.ApiModelProperty;
import java.util.Set;

import javax.validation.constraints.NotNull;

import lombok.Data;

@Data
public class RoleMenuAddVO {

    @ApiModelProperty(value = "菜单id")
    @NotNull(message = "菜单id不能为空")
    private Integer id;

    @ApiModelProperty(value = "按钮权限")
    private Set<String> permission;

}
