package com.sy.coinage.workshop.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ScreenDeptVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "部门名称")
    private List<String> name;

    @ApiModelProperty(value = "昨日产量/收货完成率")
    private List<Double> production;

    @ApiModelProperty(value = "临时库存/发货完成率")
    private List<Double> inventory;


    @ApiModelProperty(value = "坐标最大值")
    private Integer max;

}
