package com.sy.coinage.core.req;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Range;

import lombok.Getter;
import lombok.Setter;

/**
 * -多种状态修改请求bean
 */
@Getter
@Setter
public class StatusReq extends IdReq {

    @NotNull(message = "状态不能为空")
    @Range(min = 1)
    private Integer status;

}
