package com.sy.coinage.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.model.*;
import com.sy.coinage.sys.req.*;
import com.sy.coinage.sys.vo.*;
import java.util.List;

/**
 * 组织机构Service
 */
public interface IOrgService extends IService<Org> {

    /**
     * 根据查询条件查询分页集合
     *
     * @param req
     * @return {@link OrgListVO}
     */
    IPage<OrgListVO> queryPageList(OrgListReq req, Integer tenantId);

    List<OptVO> opt(Integer tenantId);

}
