package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -rfid基本信息子表，保存冠字号段信息列表查询请求bean
 */
@Getter
@Setter
public class BaseInfoSubListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -主表id -10
     */
    @ApiModelProperty(value = "主表id")
    private Integer baseInfoId;
    /**
     * -编号:沈币产品自有编号 -20
     */
    @ApiModelProperty(value = "编号:沈币产品自有编号")
    private String serialNumber;
    /**
     * -冠字号前缀 -10
     */
    @ApiModelProperty(value = "冠字号前缀")
    private String crownPrefix;
    /**
     * -起始值 -10
     */
    @ApiModelProperty(value = "起始值")
    private String crownFrom;
    /**
     * -冠字号结束值 -10
     */
    @ApiModelProperty(value = "冠字号结束值")
    private String crownTo;

}
