package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * -列表查询请求bean
 */
@Getter
@Setter
public class CheckDetailListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "抽检ID")
    @NotNull(message = "抽检ID不能为空")
    private Integer checkId;

}
