package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * -入库表主表列表查询请求bean
 */
@Getter
@Setter
public class LogisticsListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "品名ID")
    @NotNull(message = "品名不能为空")
    private Integer securitiesId;

    @ApiModelProperty(value = "单箱冠字号")
    @NotBlank(message = "单箱冠字号不能为空")
    private String crown;

}
