package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -实时库存表列表查询请求bean
 */
@Getter
@Setter
public class StockListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -仓库id -10
     */
    @ApiModelProperty(value = "仓库id")
    private Integer wareId;
    /**
     * -仓库 -20
     */
    @ApiModelProperty(value = "仓库")
    private String wareCn;
    /**
     * -库位ID -10
     */
    @ApiModelProperty(value = "库位ID")
    private Integer areaId;
    /**
     * -品名ID -10
     */
    @ApiModelProperty(value = "品名ID")
    private Integer securitiesId;
    /**
     * -品名名称 -20
     */
    @ApiModelProperty(value = "品名名称")
    private String securities;
    /**
     * -整拍数量 -10
     */
    @ApiModelProperty(value = "整拍数量")
    private Integer racketNum;
    /**
     * -零箱数量 -10
     */
    @ApiModelProperty(value = "零箱数量")
    private Integer boxNum;
    /**
     * -零枚数量 -10
     */
    @ApiModelProperty(value = "零枚数量")
    private Integer piecesTotal;
    /**
     * -抽检零箱数量 -10
     */
    @ApiModelProperty(value = "抽检零箱数量")
    private Integer checkBoxNum;

}
