package com.sy.coinage.workshop.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class ScreenWareVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "库名")
    private String wareCn;

    @ApiModelProperty(value = "品名")
    private String securities;

    @ApiModelProperty(value = "库存")
    private Integer qty;

    @ApiModelProperty(value = "今日入库")
    private Integer dayInQty;

    @ApiModelProperty(value = "今日入库")
    private Integer dayOutQty;

}
