package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Stock查询响应bean
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class StockVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -wareId
     */
    @ApiModelProperty(value = "wareId")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_id")
    private Object qty1;
    /**
     * -wareCn
     */
    @ApiModelProperty(value = "wareCn")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_cn")
    private Object qty2;
}
